
QGIS Application - Bug report #4587

'Zoom to best scale' Generates Bad Bounding Box

2011-12-01 05:07 AM - Paul Carlisle

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14494

Description

I can load raster images through Mapserver using a WMS request and all functionality works as expected except for "Zoom to best scale';

when I select this option, the bounding box generated by QGis and sent to MapServer is bogus, with identical LL/UR corner coordinates in

some cases, or reasonable y-component values by identical x-component values. The result is not a box, but a point or a line, and

MapServer correctly flags this as an error.

History

#1 - 2011-12-09 08:26 AM - Paolo Cavallini

- Category set to Web Services clients/WMS

#2 - 2011-12-16 10:52 AM - Giovanni Manghi

- Target version changed from Version 1.7.1 to Version 1.7.4

#3 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#4 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2012-10-05 07:53 AM - Giovanni Manghi

Seems still confirmed to me in qgis master.

#6 - 2013-07-22 06:20 AM - Giovanni Manghi

still true on master.

#7 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-12-05 06:13 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...
does 'Zoom to best scale' is now entitled 'Zoom to Native Resolution (100%)' ?

#9 - 2015-12-20 03:36 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

just tested on a Mapserver WMS service and it seems ok to me on QGIS ltr.
